# Copyright 2020-2022 Openfintechlab, Inc. All rights reserved.
# Pod specs for creating skaffold scripts. 
apiVersion: v1
kind: Pod
metadata:
  creationTimestamp: null
  labels:
    run: service-boilerplate
    tier: "backend"
  name: service-boilerplate
spec:
  containers:
    
  - image: registry.gitlab.com/openfintechlab/medulla/applications/service-boilerplate-api:latest
    name: service-boilerplate
    resources: {}
  imagePullSecrets:
  - name: regcred    
  dnsPolicy: ClusterFirst
  restartPolicy: Never
status: {}

---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: service-boilerplate
  name: service-boilerplate
spec:
  ports:
  - name: "3000"
    port: 3000
    protocol: TCP
    targetPort: 3000
  selector:
    run: service-boilerplate
  type: NodePort
status:
  loadBalancer: {}